Subject: [6lo] Milestones changed for 6lo WG

From: IETF Secretariat <[email-masked]>
Date: Wed, 06 Nov 2013 13:15:25 -0800

Changed milestone "WG decision on adoption
of draft-thubert-6lo-forwarding-fragments", set state to active from
review, accepting new milestone.

Changed milestone "First draft of a generic guideline on
IPv6-over-foo", set state to active from review, accepting new
milestone.

URL: http://datatracker.ietf.org/wg/6lo/charter/

---

From: Samita Chakrabarti <[email-masked]>
Date: Thu, 7 Nov 2013 01:20:20 +0000

>Changed milestone "First draft of a generic guideline on IPv6-over-foo", set state to active from review, accepting new milestone.

 > URL: http://datatracker.ietf.org/wg/6lo/charter/
[SC>] 
[SC>]  Yesterday, we did not particularly discuss about this milestone, since we wanted to focus on the existing drafts and items.

However, while we define 6lowpan meaning in the roadmap document --- we can discuss possibility of having a separate draft on the general guideline of developing a IPv6-over-foo implementations. It was mentioned during the BOF that a general guideline would be very helpful for future developments.

Comments?

-Samita

---

From: Michael Richardson <[email-masked]>
Date: Wed, 06 Nov 2013 21:14:00 -0500

Samita Chakrabarti <[email-masked]> wrote:
    > However, while we define 6lowpan meaning in the roadmap document --- we
    > can discuss possibility of having a separate draft on the general
    > guideline of developing a IPv6-over-foo implementations. It was
    > mentioned during the BOF that a general guideline would be very helpful
    > for future developments. 

It would be useful for the roadmap to explain what the various building
blocks that 6lowpan/6man defined (HC, fragletation, DAD, efficient-ND,etc.)
and what the dependancies between them are.  Which ones can one use
without bringing in other bits.

-- 
Michael Richardson <[email-masked]>, Sandelman Software Works

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 6 Nov 2013 21:06:06 -0800

> without bringing in other bits.

You mean in the sense of a guide for people defining new 6LoWPANs for new radios?
We had some hallway discussions about creating such a guide, including “what MAC features should I put in to be most useful for a 6LoWPAN”.
We probably want to keep such a spec developers guide separate from the implementers’ guide the current roadmap is, to reduce confusion.

Grüße, Carsten

---

From: Don Sturek <[email-masked]>
Date: Wed, 06 Nov 2013 18:58:52 -0800

Hi Samita,

Hopefully we won't forget the topic of ND for "IPv6 over foo".   I found
that topic to be the most intertwined with address assignment and even the
way the underlying layer 2 technology operates over a given topology......

Don

On 11/6/13 5:20 PM, "Samita Chakrabarti" <[email-masked]>
wrote:

>
>
>
>>Changed milestone "First draft of a generic guideline on IPv6-over-foo",
>>set state to active from review, accepting new milestone.
>
>[SC>]  Yesterday, we did not particularly discuss about this milestone,
>since we wanted to focus on the existing drafts and items.
>
>guideline of developing a IPv6-over-foo implementations. It was mentioned
>during the BOF that a general guideline would be very helpful for future
>developments.
>
>Comments?
>
>-Samita
>
>
>_______________________________________________
>6lo mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/6lo

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 7 Nov 2013 09:07:52 -0800

On 06 Nov 2013, at 18:58, Don Sturek <[email-masked]> wrote:

> way the underlying layer 2 technology operates over a given topology……

Right, that is something that a roadmap for IP-over-foo developers might want to address.

So far, the selection criteria seems to be rather obvious, though:
We have one wired protocol that went with ND-classic and four wireless ones that went with RFC 6775 (ARO option).

If we need to develop RFC 6775 further, that would certainly be something we need to closely coordinate with 6man, which is also developing RFC 6775 further to enable it to work in environments that have legacy ND-classic nodes (“Efficient ND”).

Grüße, Carsten

---

From: Kerry Lynn <[email-masked]>
Date: Thu, 7 Nov 2013 10:14:31 -0800

On Thu, Nov 7, 2013 at 9:07 AM, Carsten Bormann <[email-masked]> wrote:

> We have one wired protocol that went with ND-classic and four wireless
> ones that went with RFC 6775 (ARO option).
>
> Just to reiterate, 6lobac has a dependency on 6CO for IPHC.  If the group
feels that ARO or some other ND optimization is appropriate, we can discuss
this when the draft is adopted.

-K-

If we need to develop RFC 6775 further, that would certainly be something
> we need to closely coordinate with 6man, which is also developing RFC 6775
> further to enable it to work in environments that have legacy ND-classic
> nodes (“Efficient ND”).
>
> Grüße, Carsten
>

---

From: Kerry Lynn <[email-masked]>
Date: Thu, 7 Nov 2013 11:00:34 -0800

On Thu, Nov 7, 2013 at 10:14 AM, Kerry Lynn <[email-masked]> wrote:

> BTW, without going into details, if there are duplicate node IDs on an
MS/TP
link then the token probably won't circulate properly.  So ND is redundant
when
the link is working and impossible when it isn't.  The 6lobac draft does
allow IIDs
to be formed e.g. from EUI-64s, but in practice this is unlikely.  We might
even
want to delete this option from the draft given the security issues raised
with
this approach in other WGs.

-K-

---

From: Samita Chakrabarti <[email-masked]>
Date: Thu, 7 Nov 2013 22:49:10 +0000

Hi Carsten,

I think Don brought up an important point in terms of 6lowpan-nd over different radio technologies.

Based on the current 6lowpan-nd(RFC 6775)  we can separate out different components (multicast reduction, DAD or no-DAD, single-hop, multi-hop, 64-bit MAC-address and  less-than 64-bit MAC address etc. etc. ) and when each of these components are useful.

So, I'd assume these kind of discussions belong to  the general guideline documents. [ speaking as a co-author of RFC6775]

As for extending RFC6775,   I am sure there should be opportunities to extend it as we come up with more usecases with SLAAC.

Thanks,
-Samita

-----Original Message-----
From: Carsten Bormann [mailto:[email-masked]] 
Sent: Thursday, November 07, 2013 9:08 AM
To: Don Sturek
Cc: Samita Chakrabarti; [email-masked]
Subject: Re: [6lo] Milestones changed for 6lo WG

On 06 Nov 2013, at 18:58, Don Sturek <[email-masked]> wrote:

> that topic to be the most intertwined with address assignment and even 
> the way the underlying layer 2 technology operates over a given 
> topology..

If we need to develop RFC 6775 further, that would certainly be something we need to closely coordinate with 6man, which is also developing RFC 6775 further to enable it to work in environments that have legacy ND-classic nodes ("Efficient ND").

Grüße, Carsten

---

From: Samita Chakrabarti <[email-masked]>
Date: Thu, 7 Nov 2013 22:52:44 +0000

These are the kind of general guideline would be useful.

Since 6LoBAC is using part of RFC4944 and part of IPHC implementation, it can also do the part of RFC 6775.
6CO is defined in RFC6775. In your case the network depth is only one hop.

Thanks,
-Samita

From: [email-masked] [mailto:[email-masked]] On Behalf Of Kerry Lynn
Sent: Thursday, November 07, 2013 10:15 AM
To: Carsten Bormann
Cc: Don Sturek; Samita Chakrabarti; [email-masked]
Subject: Re: [6lo] Milestones changed for 6lo WG

On Thu, Nov 7, 2013 at 9:07 AM, Carsten Bormann <[email-masked]<mailto:[email-masked]>> wrote:

Grüße, Carsten

_______________________________________________
6lo mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/6lo

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 7 Nov 2013 14:55:14 -0800

> So, I'd assume these kind of discussions belong to  the general guideline documents. [ speaking as a co-author of RFC6775]

Right.  What I was saying is that it may be a good idea to separate the advice for implementers from the advice for designers of new subnetworks.

So I would make that two documents, one the 6lo[wpan] roadmap, and one a new one a bit closer to RFC 3819.  I can start the latter one by the end of the month, if that is useful.

Grüße, Carsten

---

From: Samita Chakrabarti <[email-masked]>
Date: Thu, 7 Nov 2013 23:11:22 +0000

As per milestone, the general guideline doc is due after March. But we should be able to start discussion now..
Thanks Carsten to intiate. I'd be happy to contribute on the generic guideline part of ND as well.

-Samita

-----Original Message-----
From: Carsten Bormann [mailto:[email-masked]] 
Sent: Thursday, November 07, 2013 2:55 PM
To: Samita Chakrabarti
Cc: Don Sturek; [email-masked]
Subject: Re: [6lo] Milestones changed for 6lo WG

Grüße, Carsten